import pandas
import pandas as pd

def analysSalesCustomersDataFrame(df: pandas.DataFrame):

    df['SaleCustomer'] = df['Daily_Customer_Count'].apply(lambda x: 'Small' if x <= 200 else ('Average' if 200 < x <= 800 else 'Big'))

    table_one = df.query("SaleCustomer == 'Small'").groupby('SaleCustomer')
    table_two = df.query("SaleCustomer == 'Average'").groupby('SaleCustomer')
    table_three = df.query("SaleCustomer == 'Big'").groupby('SaleCustomer')

    minMaxMean_one = table_one.agg({'Store_Sales': ['min', 'max', 'mean']}).round(2).reset_index()
    minMaxMean_two = table_two.agg({'Store_Sales': ['min', 'max', 'mean']}).round(2).reset_index()
    minMaxMean_three = table_three.agg({'Store_Sales': ['min', 'max', 'mean']}).round(2).reset_index()

    totalTable = pd.merge(minMaxMean_one, minMaxMean_two, left_index=True, right_index=True)

    totalTable = pd.merge(totalTable, minMaxMean_three, left_index=True, right_index=True)

    # for data in roundedListShops.items():
    #     roundedListShops.loc[data[0], 'Store_Area'] = (data[1].astype("Int64")/100)*100

    return totalTable